function _get() {
    var elements = new Array();
    for (var i = 0; i < arguments.length; i++) {
        var element = arguments[i];
        if (typeof element == 'string')
            element = document.getElementById(element);
        if (arguments.length == 1)
            return element;
        elements.push(element);
    }
    return elements;
}

//grade a submission
  function grade(link, type) {
        var grade = _get('grading').value;
        var comment = _get('commentarea').value;
           location.replace(link+'?m=grade&value='+grade+'&comment='+comment);
        }
        
    function grade_all(link) {
        var elem = document.getElementsByName('grading');
        //collect all, bulk grade
        //call a wf method with params
        var values = new Array();
        var names = new Array();
        for (var i=0; i<elem.length;i++) {
            //is active
            var active = document.getElementById('tbl_submitted.'+elem[i].id);
            if (active.checked) {
                values.push(elem[i].id);
                values.push(elem[i].value.replace("," , "."));
            }
        }
        if (values == "") {
            alert("nothing selected");
            return;
        }
        var jqxhr = $.post(link + '?m=bulk_grade', 'values='+values, function() {
             location.reload();
        })
            .fail(function() {
                alert('Interner Fehler');
            });
    }
        
function enable_upload(id) {
    var file2 = _get('id_'+id+'2');
    var file3 = _get('id_'+id+'3');
    var file4 = _get('id_'+id+'4');
    var file5 = _get('id_'+id+'5');
    if (file2.style.display=='none') {
            file2.style.display='';
    } else if (file3.style.display=='none') {
            file3.style.display='';
    } else if (file4.style.display=='none') {
            file4.style.display='';
    } else if (file5.style.display=='none') {
            file5.style.display='';
         _get('more_files').style.display='none';
    } else {
        _get('more_files').style.display='none';
    }
}

function enable_ss() {
    var file2 = document.getElementsByName('ss2');
    var file3 = document.getElementsByName('ss3');
    var file4 = document.getElementsByName('ss4');
    var file5 = document.getElementsByName('ss5');
    if (file2[0].type == 'hidden') {
        file2[0].type = 'file';
    } else if (file3[0].type == 'hidden') {
        file3[0].type = 'file';
    } else if (file4[0].type == 'hidden') {
        file4[0].type = 'file';
    } else if (file5[0].type == 'hidden') {
        file5[0].type = 'file';
    } else {
        _get('more_files').style.display='none';
    }
}

function conditional_unhide(input, conditional, selection) {
    //generic unhide procedure for conditional form fields
    var input = document.getElementById(input);
    var chosenoption=input.options[input.selectedIndex].value;
    var cond = conditional.split(".");
    var sel = selection.split(".");
                for (var i = 0; i < sel.length; i++) {
                 var unhideme = document.getElementById(cond[i]);
                 if (chosenoption == sel[i]) {
                    unhideme.style.display='';
                } else {
                    unhideme.style.display='none';
        }
    }        
}

//date widget
//adaptation of date widget to work with Wiki
function showWikiCalendarWithDateWidget(id, fmt) {
  var idM = document.getElementById(id+'.month');
  var idD = document.getElementById(id+'.DD');
  var idY = document.getElementById(id+'.YYYY');
  var calval = idY.value+'-'+idM.value+'-'+idD.value;
  if (calendar != null) {
    // we already have one created, so just update it.
    calendar.hide();            // hide the existing calendar
    calendar.parseDate(calval, fmt); // set it to a new date
  } else {
    //this for loop is intended to wipe out visibility bugs
    var ar = document.getElementsByTagName("select");
    for (var i = ar.length; i > 0;) {
        ar[--i].style.visibility = "visible";
    }
    // first-time call, create the calendar
    var cal = new Calendar(true, null, selectwidget, closeHandler);
    calendar = cal;             // remember the calendar in the global
    cal.setRange(2020, 2030);   // min/max year allowed
    calendar.create();          // create a popup calendar
    calendar.parseDate(calval, fmt); // set it to a new date
  }
  calendar.selM = idM;            // inform it about the input field in use
  calendar.selD = idD;            // inform it about the input field in use
  calendar.selY = idY;            // inform it about the input field in use
  calendar.showAtElement(idM);   // show the calendar next to the input field
  // catch mousedown on the document
  Calendar.addEvent(document, "mousedown", checkCalendar);
  return false;
}

function show_nf(user_id) {
    _get('nf_'+user_id).style.display='';
    _get('nfb_'+user_id).style.display='';
    _get('nf_button_'+user_id).style.display='none';
}

function reset_form() {
    
    for(var i=0;i<document.forms.length;i++){
        document.forms[i].reset();
    }
    
}

// Show/Hide Aufgabendetails
$(document).ready(function() {
    if ($("#aufgabenstellung").length > 0) {
        var hideButton = $("#hideOptionsButton");
        var showButton = $("#showOptionsButton");
        var details = $("#aufgabendetails");
        var divh = details[0].offsetHeight;

    //     // check/init the Aufgabendetails Cookie
    //     var collapseAufgabendetails_p = Cookies.get("Aufgabendetails-toggle");
    //     if (!collapseAufgabendetails_p) {
    //         Cookies.set("Aufgabendetails-toggle", 0, {
    //                   path: "/",
    //                   secure: theme_wu_secure_conn()
    //           });
    //         collapseAufgabendetails_p = 0;
    //         details.css("height", divh);
    //     } else if (collapseAufgabendetails_p == 1) {
    //         details.css("height", "0px");
    //     } else {
    //         details.css("height", divh);
    //     }

    //     hideButton.click(function() {
    //         hideButton.css("display", "none");
    //         showButton.css("display", "block");
    //         Cookies.set("Aufgabendetails-toggle", 1, {
    //                   path: "/",
    //                   secure: theme_wu_secure_conn()
    //         });
    //         $("#aufgabendetails").animate({
    //             height: '0'
    //         }, 200);
    //     });

    //     showButton.click(function() {
    //         hideButton.css("display", "block");
    //         showButton.css("display", "none");
    //         Cookies.set("Aufgabendetails-toggle", 0, {
    //             path: "/",
    //             secure: theme_wu_secure_conn()
    //         });
    //         $("#aufgabendetails").animate({
    //             height: divh
    //         }, 200);
    //     });
     }
});
